Bug 238299 - [NEW PORT] textproc/py-patiencediff: Python implementation of patience diff algorithm
Summary: [NEW PORT] textproc/py-patiencediff: Python implementation of patience diff a...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL:
Keywords: feature
Depends on:
Blocks:
 
Reported: 2019-06-02 21:53 UTC by fullermd
Modified: 2019-06-17 04:58 UTC (History)
5 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
New port SHAR (1.68 KB, text/plain)
2019-06-02 21:53 UTC, fullermd
no flags Details
py-patiencediff-0.1.0.patch (2.80 KB, patch)
2019-06-16 12:35 UTC, Kai Knoblich
fullermd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fullermd 2019-06-02 21:53:35 UTC
Created attachment 204789 [details]
New port SHAR

patiencediff is an implementation of Bram Cohen's Patience Diff algorithm in python.  This code was extracted from the Bazaar source base.


This will be a dependancy of future versions of devel/brz/.
Comment 1 Kai Knoblich freebsd_committer 2019-06-16 12:35:47 UTC
Created attachment 205118 [details]
py-patiencediff-0.1.0.patch

(In reply to fullermd from comment #0)

Thank you for your contribution. Interestingly there has been a new release (= 0.1.0) a few days ago after your submission here on Bugzilla.

I have attached a patch for the new version based on your initial patch with some minor fixes to level up the port compliance:

- Changed CATEGORIES to "textproc python"
- Added "post-install" target to strip the shared libraries
- Added "do-test" with the appropriate dependencies to enable QA

If those changes are ok for you, especially the version bump from 0.0.4 to 0.1.0, I'll commit your contribution as soon as possible.
Comment 2 Kai Knoblich freebsd_committer 2019-06-16 12:39:28 UTC
Adding linimon and pkubaj to the CC list for the case if one of them have some spare time to test the port with PowerPC64.
Comment 3 fullermd 2019-06-16 21:18:34 UTC
Sure, that sounds reasonable.
Comment 4 Piotr Kubaj freebsd_committer 2019-06-16 21:27:37 UTC
Builds for me on 12.0-RELEASE/powerpc64.
Comment 5 commit-hook freebsd_committer 2019-06-17 04:55:29 UTC
A commit references this bug:

Author: kai
Date: Mon Jun 17 04:55:12 UTC 2019
New revision: 504385
URL: https://svnweb.freebsd.org/changeset/ports/504385

Log:
  New port: textproc/py-patiencediff

  This package contains the Python implementation of the "Patience Diff"
  algorithm, as first described by Bram Cohen.

  "Patience Diff" provides a good balance of performance, nice output for humans,
  and implementation simplicity.

  The code in this package was extracted from the Bazaar code base.

  WWW: https://pypi.org/project/patiencediff/

  PR:		238299
  Submitted by:	fullermd@over-yonder.net
  Tested by:	pkubaj (PowerPC64)

Changes:
  head/textproc/Makefile
  head/textproc/py-patiencediff/
  head/textproc/py-patiencediff/Makefile
  head/textproc/py-patiencediff/distinfo
  head/textproc/py-patiencediff/pkg-descr
Comment 6 Kai Knoblich freebsd_committer 2019-06-17 04:58:23 UTC
(In reply to Kai Knoblich from comment #1)

Committed, thank you for your quick re-approval for the small version bump and the contribution to the Ports tree!

(In reply to Piotr Kubaj from comment #4)

Many thanks for testing it on PowerPC64!